<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\HonorarBescheinigung\HonorarBescheinigungPdf;

class HonorarBescheinigungDruckenController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new HonorarBescheinigungDruckenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new HonorarBescheinigungDruckenRequest();
    $requestObj->jahr = \PostOperations::getVarValue('jahr');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new HonorarBescheinigungDruckenPresenter($pUseCaseResponse);
  }
}